PCI_READ_LEGACY_IO(9)

NAME
pci_read_legacy_io - read byte(s) from legacy I/O port space

SYNOPSIS

ssize_t pci_read_legacy_io(struct file * filp, struct kobject * kobj, struct bin_attribute * bin_attr, char * buf, loff_t off, size_t count);

ARGUMENTS

filp
    open sysfs file

kobj
    kobject corresponding to file to read from

bin_attr
    struct bin_attribute for this file

buf
    buffer to store results

off
    offset into legacy I/O port space

count
    number of bytes to read

DESCRIPTION

Reads 1, 2, or 4 bytes from legacy I/O port space using an arch specific callback routine (pci_legacy_read).

COPYRIGHT